PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PVXMLMenuGrammar Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLMenuGrammar:
[legend]
Collaboration diagram for PVXMLMenuGrammar:
[legend]

## Public Member Functions
| PVXMLMenuGrammar (PVXMLSession &session, PXMLElement &field)
virtual void | OnUserInput (const char ch)
virtual bool | Process ()
Public Member Functions inherited from PVXMLGrammar
| PVXMLGrammar (PVXMLSession &session, PXMLElement &field)
virtual void | Start ()
GrammarState | GetState () const
void | SetSessionTimeout ()
void | SetTimeout (const PTimeInterval &timeout)
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Additional Inherited Members
Public Types inherited from PVXMLGrammar
enum | GrammarState { Idle, Started, Filled, NoInput, NoMatch, Help }
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PVXMLGrammar
| PDECLARE_NOTIFIER (PTimer, PVXMLGrammar, OnTimeout)
Protected Attributes inherited from PVXMLGrammar
PVXMLSession & | m_session
PXMLElement & | m_field
PString | m_value
GrammarState | m_state
PTimeInterval | m_timeout
PTimer | m_timer
PMutex | m_mutex
Friends inherited from PObject

## Constructor & Destructor Documentation

PVXMLMenuGrammar::PVXMLMenuGrammar | ( | PVXMLSession & | session,
|  | PXMLElement & | field
| ) |  |

## Member Function Documentation

virtual void PVXMLMenuGrammar::OnUserInput | ( | const char | ch | ) |
| virtual

Implements PVXMLGrammar.

virtual bool PVXMLMenuGrammar::Process | ( |  | ) |
| virtual

Reimplemented from PVXMLGrammar.

The documentation for this class was generated from the following file:

- vxml.h